Beamer will not connect to tvOS 10.2

When trying to play to a 4th generation Apple TV with tvOS 10.2, you will get the error ‘“Apple TV” requires device verification.’

You need to update to Beamer 3.3 (or later).

As of tvOS 10.2, it’s no longer possible to disable device verification. (If you’re using an older version of tvOS you can turn of device verification via Settings > AirPlay > Security.)

Was this article helpful?

Can’t find the answer you’re looking for? Contact Support